Options provided to model decorator annotation

### Type parameters

- #### T

### Hierarchy

- ModelMetadata

## Index

### Properties

- clazz
- clazzName
- indexes
- properties
- tableName
- transientProperties

## Properties

### clazz

clazz: any

- Defined in decorator/metadata/model-metadata.model.ts:10

### clazzName

clazzName: string

- Defined in decorator/metadata/model-metadata.model.ts:9

### Optional indexes

indexes: Map<string, SecondaryIndex<T>>

- Defined in decorator/metadata/model-metadata.model.ts:16

### Optional properties

properties: Array<PropertyMetadata<T>>

- Defined in decorator/metadata/model-metadata.model.ts:12

### tableName

tableName: string

- Defined in decorator/metadata/model-metadata.model.ts:11

### Optional transientProperties

transientProperties: Array<string | number | symbol>

- Defined in decorator/metadata/model-metadata.model.ts:13

Generated using TypeDoc